/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core.omegat;

import java.util.ArrayList;
import java.util.List;

import org.omegat.core.data.StringEntry;
import org.omegat.gui.glossary.GlossaryEntry;

import benten.cat.glossary.core.BentenGlossaryEngine;
import benten.cat.glossary.core.BentenGlossarySearchResult;
import benten.cat.glossary.core.CatGlossaryCorePlugin;

/**
 * デフォルトの用語エンジンです。
 */
public class DefaultGlossaryEngine implements BentenGlossaryEngine {

	private StringEntry strEntry;

	public DefaultGlossaryEngine() {
	}

	public void load() {
		CatGlossaryCorePlugin.getDefault().loadGlossary();
	}

	public void unload() {
		CatGlossaryCorePlugin.getDefault().unloadGlossary();
	}

	public List<BentenGlossarySearchResult> search(String target) {
		strEntry = new StringEntry(target);
		List<GlossaryEntry> glossaryEntryList = CatGlossaryCorePlugin.getDefault().getGm().getGlossary(strEntry);

		List<BentenGlossarySearchResult> result = new ArrayList<BentenGlossarySearchResult>();
		if (glossaryEntryList == null)
			return result;

		for (GlossaryEntry glossaryEntry : glossaryEntryList) {
			final BentenGlossarySearchResult row = new BentenGlossarySearchResult();
			row.setSource(glossaryEntry.getSrcText());
			row.setTarget(glossaryEntry.getLocText());
			row.setNote(glossaryEntry.getCommentText());
			result.add(row);
		}
		return result;
	}
}
