/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.translation.core.omegat;

import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.PreferencePage;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import benten.cat.translation.core.CatTranslationCorePlugin;

public class DefaultTmPreferencePage extends PreferencePage implements IWorkbenchPreferencePage {

	private Text creatorText;

	public DefaultTmPreferencePage() {
	}

	public DefaultTmPreferencePage(String title) {
		super(title);
	}

	public DefaultTmPreferencePage(String title, ImageDescriptor image) {
		super(title, image);
	}

	@Override
	protected Control createContents(Composite parent) {
		Composite composite = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.numColumns = 2;
		composite.setLayout(layout);
		composite.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		Label labal = new Label(composite, SWT.NONE);
		labal.setText("作成者:");

		creatorText = new Text(composite, SWT.SINGLE | SWT.BORDER);
		creatorText.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		IPreferenceStore sotre = CatTranslationCorePlugin.getDefault().getPreferenceStore();
		creatorText.setText(sotre.getString(DefaultTmPreferenceInitializer.CREATOR));

		return composite;
	}

	public void init(IWorkbench workbench) {
	}

	public boolean performOk() {
		IPreferenceStore store = CatTranslationCorePlugin.getDefault().getPreferenceStore();
		store.setValue(DefaultTmPreferenceInitializer.CREATOR, creatorText.getText());
		return true;
	}

	protected void performDefaults() {
		IPreferenceStore store = CatTranslationCorePlugin.getDefault().getPreferenceStore();
		creatorText.setText(store.getDefaultString(DefaultTmPreferenceInitializer.CREATOR));
	}
}
