/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.ui.internal.tabletree;

import org.eclipse.swt.custom.CTabFolder;
import org.eclipse.wst.xml.ui.internal.tabletree.IDesignViewer;
import org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart;

import benten.cat.ui.CatUiPlugin;
import benten.cat.ui.viewers.TransUnitViewer;

/**
 * XLIFF マルチ・ページ・エディター・パーツです。
 */
@SuppressWarnings("restriction")
public class XLIFFMultiPageEditorPart extends XMLMultiPageEditorPart {

	/**
	 * コンストラクター。
	 */
	public XLIFFMultiPageEditorPart() {
	}

	/*
	 * (非 Javadoc)
	 * @see org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart#createDesignPage()
	 */
	@Override
	protected IDesignViewer createDesignPage() {
		return new TransUnitViewer(getContainer(), this);
	}

	/*
	 * (非 Javadoc)
	 * @see org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart#createPages()
	 */
	@Override
	protected void createPages() {
		super.createPages();
		CTabFolder tabFolder = (CTabFolder) getContainer();
		tabFolder.getItem(0).setImage(CatUiPlugin.getDefault().getImage("icons/tabtransunit.gif"));
		tabFolder.getItem(1).setImage(CatUiPlugin.getDefault().getImage("icons/tabsource.gif"));
	}
}
