/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.dom;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * XLIFF の trans-unit、alt-trans 共通要素です。
 */
public abstract class TransBaseDelegate extends ElementDelegate {

	public TransBaseDelegate(Element transUnitElement) {
		super(transUnitElement);
	}

	public String getSource() {
		return getValue("source");
	}

	public String getTarget() {
		return getValue("target");
	}

	public boolean hasSource() {
		return getValue("source", null) != null;
	}

	public boolean hasTarget() {
		return getValue("target", null) != null;
	}

	public Node getSourceNode() {
		return getChildElement("source");
	}

	public Node getTargetNode() {
		return getChildElement("target");
	}
}
