/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.io;

import java.io.File;
import java.io.FilenameFilter;

/**
 * 拡張子による HTML ファイル・フィルターです。
 */
public class HtmlFileFilter implements FilenameFilter {

	public static final FilenameFilter INSTANCE = new HtmlFileFilter();
	public static final String DEFAULT_EXTENSION = ".html";

	private HtmlFileFilter() {
	}

	public boolean accept(File dir, String name) {
		return name.endsWith(DEFAULT_EXTENSION) || name.endsWith(".htm");
	}

	public static File appendExtension(File file) {
		return new File(file + DEFAULT_EXTENSION);
	}
}
