package benten.twa.cat.core;

import junit.framework.TestCase;

public class BentenTmUtilTest extends TestCase {

	public void testAdjustForUntrim() {
		assertEquals("前後に何も無し", "hello", BentenTmUtil.adjustForUntrim("hello", "hello", "hello"));
		assertEquals("前後に何も無し", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello", "こんにちは"));
		assertEquals("後方に半角 1 つ", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello ", "こんにちは "));
		assertEquals("後方に半角 2 つ", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello  ", "こんにちは  "));
		assertEquals("前方に半角 1 つ", "こんにちは", BentenTmUtil.adjustForUntrim("hello", " hello", " こんにちは"));
		assertEquals("前方に半角 2 つ", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "  hello", "  こんにちは"));

		assertEquals("後方に半角 1 つ", "こんにちは ", BentenTmUtil.adjustForUntrim("hello ", "hello", "こんにちは"));
		assertEquals("後方に半角 2 つ", "こんにちは  ", BentenTmUtil.adjustForUntrim("hello  ", "hello", "こんにちは"));
		assertEquals("前方に半角 1 つ", " こんにちは", BentenTmUtil.adjustForUntrim(" hello", "hello", "こんにちは"));
		assertEquals("前方に半角 2 つ", "  こんにちは", BentenTmUtil.adjustForUntrim("  hello", "hello:", "こんにちは"));

		assertEquals("バリエーション", "こんにちは ", BentenTmUtil.adjustForUntrim("hello ", "hello ", "こんにちは "));
		assertEquals("バリエーション", "こんにちは  ", BentenTmUtil.adjustForUntrim("hello  ", "hello ", "こんにちは "));
		assertEquals("バリエーション", " こんにちは", BentenTmUtil.adjustForUntrim(" hello", "hello ", "こんにちは "));
		assertEquals("バリエーション", "  こんにちは", BentenTmUtil.adjustForUntrim("  hello", "hello ", "こんにちは"));

		assertEquals("トリム", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "(hello)", "(こんにちは)"));
		assertEquals("トリム", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "--- hello ---", "--- こんにちは ---"));
		assertEquals("トリム", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello&nbsp;", "こんにちは&nbsp;"));

		assertEquals("強制トリム", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello:", "こんにちは:"));
		assertEquals("強制トリム", "こんにちは", BentenTmUtil.adjustForUntrim("hello", "hello.", "こんにちは。"));
		assertEquals("強制トリム", "こんにちは。", BentenTmUtil.adjustForUntrim("hello.", "hello", "こんにちは"));
		assertEquals("強制トリム", "こんにちは!", BentenTmUtil.adjustForUntrim("hello!", "hello", "こんにちは"));
	}
}
