/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.handler;

import java.io.File;
import java.io.IOException;
import java.net.URL;

import junit.framework.TestCase;

import org.eclipse.core.runtime.FileLocator;

import benten.core.io.Files;
import benten.twa.filter.handler.ImportHtmlHandler.ImportHtmlStatus;
import benten.twa.ui.jobs.AbstractWorkflowFileHandler;

/**
 * PDE JUnit テスト。
 */
public class ImportHtmlHandlerTest extends TestCase {

	private final AbstractWorkflowFileHandler target = new ImportHtmlHandler();
	private String dataPath;

	private void setDataPath(String caseId) throws IOException {
		String dataDir = "/src/" + getClass().getName().replace('.', '/') + "Data/" + caseId + "/";
		URL dataUrl = getClass().getClassLoader().getResource(dataDir);
		dataPath = FileLocator.resolve(dataUrl).getPath();
	}

	private void assertEqualsFile(String actualFileName, String expectedFileName) throws IOException {
		File actualFile = new File(dataPath + actualFileName);
		File expectedFile = new File(dataPath + expectedFileName);
		assertEquals(Files.readFileToString(expectedFile), Files.readFileToString(actualFile));
	}

	//-------------------------------------------------------------------------

	public void testRun() throws IOException {
		setDataPath("0001");

		ImportHtmlStatus status = new ImportHtmlStatus();
		status.fromDir = new File(dataPath + "in");
		status.toDir = new File(dataPath + "out");
		status.normalizeHtml = true;

		target.run(status);

		assertEqualsFile("out/test.html", "out/expected.html");
	}
}
