/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import benten.twa.filter.handler.ConvertToXliffHandler;
import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;

public class ConvertToXliffWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("翻訳対象物を XLIFF に変換");
		addPage(new ConvertToXliffWizardPage());
		addPage(new ConvertToXliffWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("翻訳対象物を XLIFF に変換中...");
		job.setStatus(getStatus());
		job.setHandler(new ConvertToXliffHandler());
		job.setCompleteWizardPage(new ConvertToXliffWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
