/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * Apache Antタスク [BentenExtractTmxFragment]のクラス
 */
package benten.twa.tmx.core;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import benten.twa.tmx.core.valueobject.BentenExtractTmxFragmentProcessInput;

/**
 * Apache Antタスク [BentenExtractTmxFragment]のクラス。
 *
 * TMX フラグメント抽出のための Ant タスク。<br>
 * このクラスでは、Apache Antタスクで一般的に必要なチェックなどのコーディングを肩代わりします。
 * 実際の処理は パッケージ[benten.twa.tmx.core]にBentenExtractTmxFragmentBatchProcessクラスを作成して記述してください。<br>
 * <br>
 * Antタスクへの組み込み例<br>
 * <pre>
 * &lt;taskdef name=&quot;bentenextracttmxfragment&quot; classname=&quot;benten.twa.tmx.core.BentenExtractTmxFragmentTask">
 *     &lt;classpath&gt;
 *         &lt;fileset dir=&quot;lib&quot; includes=&quot;*.jar&quot; /&gt;
 *         &lt;fileset dir=&quot;lib.ant&quot; includes=&quot;*.jar&quot; /&gt;
 *     &lt;/classpath&gt;
 * &lt;/taskdef&gt;
 * </pre>
 */
public class BentenExtractTmxFragmentTask extends Task {
    /**
     * TMX フラグメント抽出のための Ant タスク。
     */
    protected BentenExtractTmxFragmentProcessInput fInput = new BentenExtractTmxFragmentProcessInput();

    /**
     * フィールド [xlifffile] に値がセットされたかどうか。
     */
    protected boolean fIsFieldXlifffileProcessed = false;

    /**
     * フィールド [tmxdir] に値がセットされたかどうか。
     */
    protected boolean fIsFieldTmxdirProcessed = false;

    /**
     * フィールド [includedate] に値がセットされたかどうか。
     */
    protected boolean fIsFieldIncludedateProcessed = false;

    /**
     * フィールド [ignorewhitespacetmxextract] に値がセットされたかどうか。
     */
    protected boolean fIsFieldIgnorewhitespacetmxextractProcessed = false;

    /**
     * verboseモードで動作させるかどうか。
     *
     * @param arg verboseモードで動作させるかどうか。
     */
    public void setVerbose(final boolean arg) {
        fInput.setVerbose(arg);
    }

    /**
     * verboseモードで動作させるかどうか。
     *
     * @return verboseモードで動作させるかどうか。
     */
    public boolean getVerbose() {
        return fInput.getVerbose();
    }

    /**
     * Antタスクの[xlifffile]アトリビュートのセッターメソッド。
     *
     * 項目番号: 1<br>
     * 抽出元となる XLIFF ファイル。<br>
     *
     * @param arg セットしたい値
     */
    public void setXlifffile(final String arg) {
        fInput.setXlifffile(arg);
        fIsFieldXlifffileProcessed = true;
    }

    /**
     * Antタスクの[xlifffile]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 1<br>
     * 抽出元となる XLIFF ファイル。<br>
     * 必須アトリビュートです。Apache Antタスク上で必ず値が指定されます。<br>
     *
     * @return このフィールドの値
     */
    public String getXlifffile() {
        return fInput.getXlifffile();
    }

    /**
     * Antタスクの[tmxdir]アトリビュートのセッターメソッド。
     *
     * 項目番号: 2<br>
     * 抽出先となる TMX を格納するディレクトリ。<br>
     *
     * @param arg セットしたい値
     */
    public void setTmxdir(final String arg) {
        fInput.setTmxdir(arg);
        fIsFieldTmxdirProcessed = true;
    }

    /**
     * Antタスクの[tmxdir]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 2<br>
     * 抽出先となる TMX を格納するディレクトリ。<br>
     * 必須アトリビュートです。Apache Antタスク上で必ず値が指定されます。<br>
     *
     * @return このフィールドの値
     */
    public String getTmxdir() {
        return fInput.getTmxdir();
    }

    /**
     * Antタスクの[includedate]アトリビュートのセッターメソッド。
     *
     * 項目番号: 3<br>
     * 出力ファイル名に日付を含めるかどうか。<br>
     *
     * @param arg セットしたい値
     */
    public void setIncludedate(final boolean arg) {
        fInput.setIncludedate(arg);
        fIsFieldIncludedateProcessed = true;
    }

    /**
     * Antタスクの[includedate]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 3<br>
     * 出力ファイル名に日付を含めるかどうか。<br>
     * デフォルト値[false]が設定されています。Apache Antタスク上でアトリビュートの指定が無い場合には、デフォルト値が設定されます。<br>
     *
     * @return このフィールドの値
     */
    public boolean getIncludedate() {
        return fInput.getIncludedate();
    }

    /**
     * Antタスクの[ignorewhitespacetmxextract]アトリビュートのセッターメソッド。
     *
     * 項目番号: 4<br>
     * ホワイトスペースを無視した内容の TMX を抽出するかどうか。<br>
     *
     * @param arg セットしたい値
     */
    public void setIgnorewhitespacetmxextract(final boolean arg) {
        fInput.setIgnorewhitespacetmxextract(arg);
        fIsFieldIgnorewhitespacetmxextractProcessed = true;
    }

    /**
     * Antタスクの[ignorewhitespacetmxextract]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 4<br>
     * ホワイトスペースを無視した内容の TMX を抽出するかどうか。<br>
     * デフォルト値[false]が設定されています。Apache Antタスク上でアトリビュートの指定が無い場合には、デフォルト値が設定されます。<br>
     *
     * @return このフィールドの値
     */
    public boolean getIgnorewhitespacetmxextract() {
        return fInput.getIgnorewhitespacetmxextract();
    }

    /**
     * Antタスクのメイン処理。Apache Antから このメソッドが呼び出されます。
     *
     * @throws BuildException タスクとしての例外が発生した場合。
     */
    @Override
    public final void execute() throws BuildException {
        System.out.println("BentenExtractTmxFragmentTask begin.");

        // 項目番号[1]、アトリビュート[xlifffile]は必須入力です。入力チェックを行います。
        if (fIsFieldXlifffileProcessed == false) {
            throw new BuildException("必須アトリビュート[xlifffile]が設定されていません。処理を中断します。");
        }
        // 項目番号[2]、アトリビュート[tmxdir]は必須入力です。入力チェックを行います。
        if (fIsFieldTmxdirProcessed == false) {
            throw new BuildException("必須アトリビュート[tmxdir]が設定されていません。処理を中断します。");
        }

        if (getVerbose()) {
            System.out.println("- verbose:[true]");
            System.out.println("- xlifffile:[" + getXlifffile() + "]");
            System.out.println("- tmxdir:[" + getTmxdir() + "]");
            System.out.println("- includedate:[" + getIncludedate() + "]");
            System.out.println("- ignorewhitespacetmxextract:[" + getIgnorewhitespacetmxextract() + "]");
        }

        try {
            // 実際のAntタスクの主処理を実行します。
            // この箇所でコンパイルエラーが発生する場合、BentenExtractTmxFragmentProcessインタフェースを実装して benten.twa.tmx.coreパッケージに BentenExtractTmxFragmentProcessImplクラスを作成することにより解決できる場合があります。
            final BentenExtractTmxFragmentProcess proc = new BentenExtractTmxFragmentProcessImpl();
            if (proc.execute(fInput) != BentenExtractTmxFragmentBatchProcess.END_SUCCESS) {
                throw new BuildException("タスクは異常終了しました。");
            }
        } catch (IllegalArgumentException e) {
            if (getVerbose()) {
                e.printStackTrace();
            }
            throw new BuildException(e.getMessage());
        } catch (Exception e) {
            e.printStackTrace();
            throw new BuildException("タスクを処理中に例外が発生しました。処理を中断します。" + e.toString());
        } catch (Error e) {
            e.printStackTrace();
            throw new BuildException("タスクを処理中にエラーが発生しました。処理を中断します。" + e.toString());
        }
    }
}
