/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.tmx.wizards;

import benten.twa.tmx.handler.ExtractTmxFragmentHandler;
import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;

public class ExtractTmxFragmentWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("TMX フラグメントの抽出");
		addPage(new ExtractTmxFragmentWizardPage());
		addPage(new ExtractTmxFragmentWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("抽出中...");
		job.setStatus(getStatus());
		job.setHandler(new ExtractTmxFragmentHandler());
		job.setCompleteWizardPage(new ExtractTmxFragmentWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
