/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * Apache Antタスク [BentenMergeXliffFragment]のクラス
 */
package benten.twa.xliff.core;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import benten.twa.xliff.core.valueobject.BentenMergeXliffFragmentProcessInput;

/**
 * Apache Antタスク [BentenMergeXliffFragment]のクラス。
 *
 * XLIFF フラグメント・マージのための Ant タスク。<br>
 * このクラスでは、Apache Antタスクで一般的に必要なチェックなどのコーディングを肩代わりします。
 * 実際の処理は パッケージ[benten.twa.xliff.core]にBentenMergeXliffFragmentBatchProcessクラスを作成して記述してください。<br>
 * <br>
 * Antタスクへの組み込み例<br>
 * <pre>
 * &lt;taskdef name=&quot;bentenmergexlifffragment&quot; classname=&quot;benten.twa.xliff.core.BentenMergeXliffFragmentTask">
 *     &lt;classpath&gt;
 *         &lt;fileset dir=&quot;lib&quot; includes=&quot;*.jar&quot; /&gt;
 *         &lt;fileset dir=&quot;lib.ant&quot; includes=&quot;*.jar&quot; /&gt;
 *     &lt;/classpath&gt;
 * &lt;/taskdef&gt;
 * </pre>
 */
public class BentenMergeXliffFragmentTask extends Task {
    /**
     * XLIFF フラグメント・マージのための Ant タスク。
     */
    protected BentenMergeXliffFragmentProcessInput fInput = new BentenMergeXliffFragmentProcessInput();

    /**
     * フィールド [sourcexlifffile] に値がセットされたかどうか。
     */
    protected boolean fIsFieldSourcexlifffileProcessed = false;

    /**
     * フィールド [targetxliffdir] に値がセットされたかどうか。
     */
    protected boolean fIsFieldTargetxliffdirProcessed = false;

    /**
     * verboseモードで動作させるかどうか。
     *
     * @param arg verboseモードで動作させるかどうか。
     */
    public void setVerbose(final boolean arg) {
        fInput.setVerbose(arg);
    }

    /**
     * verboseモードで動作させるかどうか。
     *
     * @return verboseモードで動作させるかどうか。
     */
    public boolean getVerbose() {
        return fInput.getVerbose();
    }

    /**
     * Antタスクの[sourcexlifffile]アトリビュートのセッターメソッド。
     *
     * 項目番号: 1<br>
     * マージ元となる XLIFF ファイル。<br>
     *
     * @param arg セットしたい値
     */
    public void setSourcexlifffile(final String arg) {
        fInput.setSourcexlifffile(arg);
        fIsFieldSourcexlifffileProcessed = true;
    }

    /**
     * Antタスクの[sourcexlifffile]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 1<br>
     * マージ元となる XLIFF ファイル。<br>
     * 必須アトリビュートです。Apache Antタスク上で必ず値が指定されます。<br>
     *
     * @return このフィールドの値
     */
    public String getSourcexlifffile() {
        return fInput.getSourcexlifffile();
    }

    /**
     * Antタスクの[targetxliffdir]アトリビュートのセッターメソッド。
     *
     * 項目番号: 2<br>
     * マージ先となる XLIFF を格納するディレクトリ。<br>
     *
     * @param arg セットしたい値
     */
    public void setTargetxliffdir(final String arg) {
        fInput.setTargetxliffdir(arg);
        fIsFieldTargetxliffdirProcessed = true;
    }

    /**
     * Antタスクの[targetxliffdir]アトリビュートのゲッターメソッド。
     *
     * 項目番号: 2<br>
     * マージ先となる XLIFF を格納するディレクトリ。<br>
     * 必須アトリビュートです。Apache Antタスク上で必ず値が指定されます。<br>
     *
     * @return このフィールドの値
     */
    public String getTargetxliffdir() {
        return fInput.getTargetxliffdir();
    }

    /**
     * Antタスクのメイン処理。Apache Antから このメソッドが呼び出されます。
     *
     * @throws BuildException タスクとしての例外が発生した場合。
     */
    @Override
    public final void execute() throws BuildException {
        System.out.println("BentenMergeXliffFragmentTask begin.");

        // 項目番号[1]、アトリビュート[sourcexlifffile]は必須入力です。入力チェックを行います。
        if (fIsFieldSourcexlifffileProcessed == false) {
            throw new BuildException("必須アトリビュート[sourcexlifffile]が設定されていません。処理を中断します。");
        }
        // 項目番号[2]、アトリビュート[targetxliffdir]は必須入力です。入力チェックを行います。
        if (fIsFieldTargetxliffdirProcessed == false) {
            throw new BuildException("必須アトリビュート[targetxliffdir]が設定されていません。処理を中断します。");
        }

        if (getVerbose()) {
            System.out.println("- verbose:[true]");
            System.out.println("- sourcexlifffile:[" + getSourcexlifffile() + "]");
            System.out.println("- targetxliffdir:[" + getTargetxliffdir() + "]");
        }

        try {
            // 実際のAntタスクの主処理を実行します。
            // この箇所でコンパイルエラーが発生する場合、BentenMergeXliffFragmentProcessインタフェースを実装して benten.twa.xliff.coreパッケージに BentenMergeXliffFragmentProcessImplクラスを作成することにより解決できる場合があります。
            final BentenMergeXliffFragmentProcess proc = new BentenMergeXliffFragmentProcessImpl();
            if (proc.execute(fInput) != BentenMergeXliffFragmentBatchProcess.END_SUCCESS) {
                throw new BuildException("タスクは異常終了しました。");
            }
        } catch (IllegalArgumentException e) {
            if (getVerbose()) {
                e.printStackTrace();
            }
            throw new BuildException(e.getMessage());
        } catch (Exception e) {
            e.printStackTrace();
            throw new BuildException("タスクを処理中に例外が発生しました。処理を中断します。" + e.toString());
        } catch (Error e) {
            e.printStackTrace();
            throw new BuildException("タスクを処理中にエラーが発生しました。処理を中断します。" + e.toString());
        }
    }
}
