/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.xliff.wizards;

import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;
import benten.twa.xliff.handler.ExtractXliffFragmentHandler;

public class ExtractXliffFragmentWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("XLIFF フラグメントの抽出");
		addPage(new ExtractXliffFragmentWizardPage());
		addPage(new ExtractXliffFragmentWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("XLIFF フラグメントの抽出中...");
		job.setStatus(getStatus());
		job.setHandler(new ExtractXliffFragmentHandler());
		job.setCompleteWizardPage(new ExtractXliffFragmentWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
