/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.xliff.wizards;

import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;
import benten.twa.xliff.handler.MergeXliffHandler;

public class MergeXliffWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("XLIFF フラグメントのマージ");
		addPage(new MergeXliffWizardPage());
		addPage(new MergeXliffWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("XLIFF フラグメントのマージ中...");
		job.setStatus(getStatus());
		job.setHandler(new MergeXliffHandler());
		job.setCompleteWizardPage(new MergeXliffWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
