/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.fields;

import java.io.File;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.DirectoryDialog;

/**
 * ディレクトリーを選択するためのテキスト・フィールドです。
 */
public class FolderTextField extends FileTextField implements IFolderTextField {

	public FolderTextField(Composite parent, String labelText) {
		super(parent, labelText);
	}

	@Override
	protected void openDialog() {
		DirectoryDialog dialog = new DirectoryDialog(text.getShell());
		dialog.setMessage("ディレクトリーの選択");
		dialog.setFilterPath(getDefaultPath());
		String selected = dialog.open();
		if (selected != null) {
			text.setText(selected);
		}
	}

	@Override
	protected String resolvePath(String path) {
		File file = new File(path);
		if (file.isFile()) {
			path = file.getParent();
		}
		return path;
	}
}
