/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.fields;

import java.io.File;

/**
 * リソース参照ボタンを持つテキスト・フィールドのインターフェースです。
 */
public interface IBrowseTextField {

	/**
	 * ラベル・テキストを取得します。
	 * @return ラベル・テキスト
	 */
	String getLabelText();

	/**
	 * ファイルを取得します。
	 * @return ファイル
	 */
	File getFile();

	/**
	 * テキストを取得します。
	 * @return テキスト
	 */
	String getText();

	/**
	 * テキストをセットします。
	 * @param text テキスト
	 */
	void setText(String text);
}
